Package org.apache.lucene.internal.hppc

## Class CharObjectHashMap.ValuesContainer

- java.lang.Object
- - org.apache.lucene.internal.hppc.CharObjectHashMap.ValuesContainer

- All Implemented Interfaces:
    `Iterable<ObjectCursor<VType>>`
  Enclosing class:
    CharObjectHashMap<VType>

      public final class CharObjectHashMap.ValuesContainer
      extends Object
      implements Iterable<ObjectCursor<VType>>

  A view over the set of values of this map.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValuesContainer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<ObjectCursor<VType>>` | `iterator()` |
    `int` | `size()` |
    `VType[]` | `toArray()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ValuesContainer

          public ValuesContainer()

  - ### Method Detail

    - #### iterator

          public Iterator<ObjectCursor<VType>> iterator()

      Specified by:
        `iterator` in interface `Iterable<ObjectCursor<VType>>`

    - #### size

          public int size()

    - #### toArray

          public VType[] toArray()